apply_iterator< Iterator, Operator >
Inheritance diagram for apply_iterator< Iterator, Operator >:

## Public Types

typedef Operator::result_type | value_type

## Public Member Functions

| apply_iterator (Iterator i1, Operator op1)
apply_iterator & | operator++ ()
apply_iterator | operator++ (int)
value_type | operator* () const
bool | operator== (apply_iterator< Iterator, Operator > b) const
bool | operator!= (apply_iterator< Iterator, Operator > b) const

## Protected Attributes

Iterator | i
Operator | op

## Detailed Description

### template<class Iterator, class Operator>
class rheolef::apply_iterator< Iterator, Operator >

Definition at line 123 of file msg_util.h.

## Member Typedef Documentation

## value_type

typedef Operator::result_type value_type

Definition at line 125 of file msg_util.h.

## Constructor & Destructor Documentation

## apply_iterator()

apply_iterator | ( | Iterator | i1,
|  | Operator | op1
| ) |  |

Definition at line 126 of file msg_util.h.

## Member Function Documentation

## operator++() [1/2]

apply_iterator& operator++ | ( |  | ) |

Definition at line 128 of file msg_util.h.

## operator++() [2/2]

apply_iterator operator++ | ( | int |  | ) |

Definition at line 130 of file msg_util.h.

## operator*()

value_type operator* | ( |  | ) | const

Definition at line 132 of file msg_util.h.

## operator==()

bool operator== | ( | apply_iterator< Iterator, Operator > | b | ) | const

Definition at line 133 of file msg_util.h.

## operator!=()

bool operator!= | ( | apply_iterator< Iterator, Operator > | b | ) | const

Definition at line 134 of file msg_util.h.

## Member Data Documentation

## i

Iterator i

protected

Definition at line 136 of file msg_util.h.

## op

Operator op

protected

Definition at line 137 of file msg_util.h.

The documentation for this class was generated from the following file:

- /build/rheolef-bzr82u/rheolef-7.1/linalg/lib/msg_util.h